Bug 1625409 (CVE-2018-14658) - CVE-2018-14658 keycloak: Open Redirect in Login and Logout
Summary: CVE-2018-14658 keycloak: Open Redirect in Login and Logout
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-14658
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1625412
TreeView+ depends on / blocked
 
Reported: 2018-09-04 21:03 UTC by Laura Pardo
Modified: 2019-09-29 14:57 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:37:24 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3592 None None None 2018-11-13 18:15:19 UTC
Red Hat Product Errata RHSA-2018:3593 None None None 2018-11-13 18:16:42 UTC
Red Hat Product Errata RHSA-2018:3595 None None None 2018-11-13 18:21:41 UTC

Description Laura Pardo 2018-09-04 21:03:37 UTC
A flaw was found in JBOSS Keycloak 3.2.1.Final. The Redirect URL for both Login and Logout are not normalized in org.keycloak.protocol.oidc.utils.RedirectUtils before the redirect url is verfied. This can lead to an Open Redirection attack

Comment 4 errata-xmlrpc 2018-11-13 18:15:12 UTC
This issue has been addressed in the following products:

  Red Hat Single Sign-On 7.2 for RHEL 6

Via RHSA-2018:3592 https://access.redhat.com/errata/RHSA-2018:3592

Comment 5 errata-xmlrpc 2018-11-13 18:16:36 UTC
This issue has been addressed in the following products:

  Red Hat Single Sign-On 7.2 for RHEL 7

Via RHSA-2018:3593 https://access.redhat.com/errata/RHSA-2018:3593

Comment 6 errata-xmlrpc 2018-11-13 18:21:35 UTC
This issue has been addressed in the following products:

  Red Hat Single Sign-On 7.2.5 zip

Via RHSA-2018:3595 https://access.redhat.com/errata/RHSA-2018:3595

Comment 7 Jason Shepherd 2019-08-08 06:05:59 UTC
This vulnerability is out of security support scope for the following product:

 * Red Hat Mobile Application Platform

 Please refer to https://access.redhat.com/support/policy/updates/rhmap for more details


Note You need to log in before you can comment on or make changes to this bug.